<?xml version="1.0" encoding="utf-8" ?>
<nlog xmlns="http://www.nlog-project.org/schemas/NLog.xsd"
      xmlns:xsi="http://www.w3.org/2001/XMLSchema-instance">
	<targets>
		<target xsi:type="File"
		        name="LightningFront"
		        fileName="${specialfolder:folder=ApplicationData}/iiko/CashServer/Logs/${var:tillDir}/LightningFront.log"
		        layout="${longdate} | ${uppercase:${level}} | [${threadid}] | ${callsite:className=true:includeNamespace=false:methodName=false} | ${callsite:methodName=true:className=false:includeNamespace=false} | ${message}"
		        archiveFileName="${specialfolder:folder=ApplicationData}/iiko/CashServer/Logs/${var:tillDir}/archive/LightningFront_{#}.zip"
		        archiveEvery="Day"
		        archiveNumbering="Date"
		        archiveDateFormat="yyyy-MM-dd"
		        maxArchiveFiles="30"
		        enableArchiveFileCompression="true"/>
		<target xsi:type="File"
		        name="Avalonia"
		        fileName="${specialfolder:folder=ApplicationData}/iiko/CashServer/Logs/${var:tillDir}/Avalonia.log"
		        layout="${longdate} | ${uppercase:${level}} | ${callsite:className=true:includeNamespace=false:methodName=false} | ${callsite:methodName=true:className=false:includeNamespace=false} | ${message}"
		        archiveFileName="${specialfolder:folder=ApplicationData}/iiko/CashServer/Logs/${var:tillDir}/archive/Avalonia_{#}.zip"
		        archiveEvery="Day"
		        archiveNumbering="Date"
		        archiveDateFormat="yyyy-MM-dd"
		        maxArchiveFiles="30"
		        enableArchiveFileCompression="true"/>
		<target xsi:type="File"
		        name="AgentModel"
		        fileName="${specialfolder:folder=ApplicationData}/iiko/CashServer/Logs/${var:tillDir}/AgentModel.log"
		        layout="${longdate} | ${uppercase:${level}} | ${callsite:className=true:includeNamespace=false:methodName=false} | ${callsite:methodName=true:className=false:includeNamespace=false} | ${message}"
		        archiveFileName="${specialfolder:folder=ApplicationData}/iiko/CashServer/Logs/${var:tillDir}/archive/AgentModel_{#}.zip"
		        archiveEvery="Day"
		        archiveNumbering="Date"
		        archiveDateFormat="yyyy-MM-dd"
		        maxArchiveFiles="30"
		        enableArchiveFileCompression="true"/>
		<target xsi:type="File"
				name="UserInputs"
				fileName="${specialfolder:folder=ApplicationData}/iiko/CashServer/Logs/${var:tillDir}/UserInputs.json"
				archiveFileName="${specialfolder:folder=ApplicationData}/iiko/CashServer/Logs/${var:tillDir}/archive/UserInputs_{#}.zip"
		        archiveEvery="Day"
		        archiveNumbering="Date"
		        archiveDateFormat="yyyy-MM-dd"
		        maxArchiveFiles="30"
		        enableArchiveFileCompression="true">
			<layout xsi:type="JsonLayout">
				<attribute name="time" layout="${longdate}" />
				<attribute name="message" layout="${message}" />
				<attribute name="properties" encode="false">
					<layout type="JsonLayout" includeAllProperties="true" />
				</attribute>
			</layout>
		</target>
	</targets>
	<rules>
		<logger name="LightningFront" minlevel="Info" writeTo="LightningFront" />
		<logger name="Avalonia" minlevel="Info" writeTo="Avalonia" />
		<logger name="AgentModel" minlevel="Info" writeTo="AgentModel" />
		<logger name="UserInputs" minlevel="Info" writeTo="UserInputs" />
	</rules>
</nlog>